Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
PHP build and no utf8_encode
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
damosoft
n00b
n00b


Joined: 25 Sep 2004
Posts: 26
Location: Cheshire, UK

PostPosted: Fri Oct 14, 2005 8:55 am    Post subject: PHP build and no utf8_encode Reply with quote

yo,

Ive built a new box and use the new dev-lang/php ebuild but I think there might be a USE flag missing or something Ive missed out as I no longer have the utf8_encode function

I built the latest 4.4.0 version as PHP5 is not compatible with our software yet.

Any ideas for getting a utf8_encode with the dev-lang/php ebuild ?

Cheers
_________________
Damian
Back to top
View user's profile Send private message
tomk
Administrator
Administrator


Joined: 23 Sep 2003
Posts: 7219
Location: Sat in front of my computer

PostPosted: Fri Oct 14, 2005 10:50 am    Post subject: Reply with quote

The utf8_encode function comes with the expat XML library, so you need to have the xml USE flag enabled.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
damosoft
n00b
n00b


Joined: 25 Sep 2004
Posts: 26
Location: Cheshire, UK

PostPosted: Fri Oct 14, 2005 11:03 am    Post subject: Reply with quote

heres my current ones:

Code:

dev-lang/php -adabas -apache apache2 -bcmath -berkdb -birdstep bzip2 -calendar -cdb cgi cli crypt -ctype curl -curlwrappers -db2 dba -dbase -dbmaker -dbx -debug -discard-path -doc -empress -empress-bcs -esoob exif -fastbuild -fdftk -filepro -firebird -flatfile -force-cgi-redirect -frontbase ftp gd -gd-external gdbm -gmp -hardenedphp -hyperwave-api iconv imap -informix -inifile -interbase -iodbc -ipv6 -java-external -java-internal jpeg -kerberos -ldap -libedit mcal -mcve memlimit -mhash -ming -msql -mssql mysql ncurses nls -oci8 -odbc -oracle7 -overload -ovrimos -pcntl pcre -pear -pfpro png -posix -postgres readline -recode -sapdb -sasl session -sharedext -sharedmem snmp sockets -solid -spell -sqlite ssl -sybase -sybase-ct -sysvipc -threads tiff -tokenizer truetype -wddx -xml xml2 xmlrpc -xpm -xsl -yaz zip zlib


so I will need xml and xml2 ?
_________________
Damian
Back to top
View user's profile Send private message
llongi
Retired Dev
Retired Dev


Joined: 15 Apr 2004
Posts: 459
Location: Switzerland

PostPosted: Fri Oct 14, 2005 2:01 pm    Post subject: Reply with quote

For expat support enable only the "xml" USE flag, "xml2" activates the DOM XML support, so, if you need it, activate it, but for the function you're missing, just enabling "xml" is enough.
Best regards, CHTEKK.
_________________
Best regards, Luca.
Back to top
View user's profile Send private message
damosoft
n00b
n00b


Joined: 25 Sep 2004
Posts: 26
Location: Cheshire, UK

PostPosted: Fri Oct 14, 2005 2:12 pm    Post subject: Reply with quote

Cool!

Thanks people!
_________________
Damian
Back to top
View user's profile Send private message
tosch
n00b
n00b


Joined: 14 Oct 2006
Posts: 1

PostPosted: Sat Oct 14, 2006 3:52 pm    Post subject: Reply with quote

I just installed php-4.4.4-r4, have both USE-flags xml and expat turned on, restarted apache, but mediawiki still borks about the missing utf8_encode function:

Warning: array_map() [function.array-map]: The first argument, 'utf8_encode', should be either NULL or a valid callback in /var/www/wiki.serverkommune.de/htdocs/includes/GlobalFunctions.php on line 115
...

Downgrading to php-4.4.3-r1 works, but is not what I want. Isn't utf8_encode supposed to be included with USE=expat set?
_________________
Contact: http://www.isistius.de
Back to top
View user's profile Send private message
llongi
Retired Dev
Retired Dev


Joined: 15 Apr 2004
Posts: 459
Location: Switzerland

PostPosted: Sat Oct 14, 2006 8:48 pm    Post subject: Reply with quote

tosch wrote:
I just installed php-4.4.4-r4, have both USE-flags xml and expat turned on, restarted apache, but mediawiki still borks about the missing utf8_encode function:

Warning: array_map() [function.array-map]: The first argument, 'utf8_encode', should be either NULL or a valid callback in /var/www/wiki.serverkommune.de/htdocs/includes/GlobalFunctions.php on line 115
...

Downgrading to php-4.4.3-r1 works, but is not what I want. Isn't utf8_encode supposed to be included with USE=expat set?


It is included when USE=expat is set, and I can confirm it works here... And the error you just pasted doesn't suggest the function is missing at all.
_________________
Best regards, Luca.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum